# Trupanion

This is the unofficial Ruby wrapper to the Trupanion API.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'trupanion'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install trupanion

## Usage

Trupanion ruby follows a namespacing pattern, in which every layer of the
Trupanion's API creates a new namespace.

### Authentication

In order to authenticate with Trupanion's API you'll need and `API_KEY` and an
`API_SECRET`, with which you'll be able to create an API client:

```ruby
Trupanion::Client.new(api_key: <API_KEY>, api_secret: <API_SECRET>)
```

### Breeds

#### Get all breeds

```ruby
client.breeds.all
```

### Price Quotes

#### Generate a price quotes

```ruby
client.quotes.generate(
  email: "fake@example.com",
  countryCode: "USA",
  stateCode: "NY",
  postalCode: "10001",
  pets: [
    {
      dateOfBirth: Date.parse("2017/09/21").to_time.utc.iso8601(3),
      breedId: 1,
      deductible: "150.0",
      gender: "M",
      isSpayedOrNeutered: true,
      name: "Pet Name",
    },
  ],
)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake spec` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at
https://github.com/ZincPlatform/trupanion. This project is intended to be a safe,
welcoming space for collaboration, and contributors are expected to adhere to
the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT
License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Trupanion project’s codebases, issue trackers, chat
rooms and mailing lists is expected to follow the [code of
conduct](https://github.com/[USERNAME]/trupanion/blob/master/CODE_OF_CONDUCT.md).
